Bug 1227855 - Remove obsolete rtkaio libraries.
Summary: Remove obsolete rtkaio libraries.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Carlos O'Donell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-03 16:08 UTC by Carlos O'Donell
Modified: 2016-11-24 12:12 UTC (History)
7 users (show)

Fixed In Version: glibc-2.22.90-4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-09 04:09:08 UTC
Type: Bug


Attachments (Terms of Use)

Description Carlos O'Donell 2015-06-03 16:08:52 UTC
The rtkaio libraries are now obsolete.

Applications should be using libaio.so.

The librt.so API is shared between rtkaio and the traditional POSIX rt libraries, so there is no ABI/API breakage, one can use librt as normal but it will not take advantage of Kernel AIO (KAIO).

We are not providing a compatibility symlink e.g. /lib64/rtkaio/librt.so.1|librtkaio-X.Y.so.

Comment 1 Jan Kurik 2015-07-15 14:03:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 2 Carlos O'Donell 2015-09-09 04:09:08 UTC
commit 6e8e9f6f52598d3ab87773f9d8a1fe6479831522
Author: Carlos O'Donell <carlos@systemhalted.org>
Date:   Fri Aug 28 15:29:26 2015 -0400

    Remove librtkaio support.
    
    The principal purpose of this change is to remove librtkaio support.
    
    The Fedora system wide change request is here:
    https://fedoraproject.org/wiki/Changes/GLIBC223_librtkaio_removal
    
    - Build require gcc-c++ for the C++ tests.
    - Support --without testsuite option to disable testing after build.
    - Support --without benchtests option to disable microbenchmarks.
    - Update --with bootstrap to disable benchtests, valgrind, documentation,
      selinux, and nss-crypt during bootstrap.
    - Support --without werror to disable building with -Werror.
    - Support --without docs to disable build requirement on texinfo.
    - Support --without valgrind to disable testing with valgrind.
    - Remove c_stubs add-on and enable fuller support for static binaries.
    - Remove librtkaio support (#1227855).


Note You need to log in before you can comment on or make changes to this bug.